close

[Solved] Your requirements could not be resolved to an installable set of packages for laravel

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error Your requirements could not be resolved to an installable set of packages for laravel in php. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How Your requirements could not be resolved to an installable set of packages for laravel Error Occurs?

Today I get the following error Your requirements could not be resolved to an installable set of packages for laravel in php.

How To Solve Your requirements could not be resolved to an installable set of packages for laravel Error ?

  1. How To Solve Your requirements could not be resolved to an installable set of packages for laravel Error ?

    To Solve Your requirements could not be resolved to an installable set of packages for laravel Error This should enable them as part of installing them, otherwise you will just need to enable them manually.

  2. Your requirements could not be resolved to an installable set of packages for laravel

    To Solve Your requirements could not be resolved to an installable set of packages for laravel Error This should enable them as part of installing them, otherwise you will just need to enable them manually.

Solution 1

Your PHP need some ext for run your packages.

You can install that with apt-get if you use Ubuntu and PHP 5 :

apt-get install php5-gmp 
apt-get install php5-curl

If you use PHP 7:

apt-get install php7.0-gmp 
apt-get install php-curl

and etc…

After that restart your web service then it will work.

Solution 2


Have you read your error message?

You are missing two PHP extensions; gmp and curl.

You just need to install them, like so:

sudo apt-get install php7.0-gmp
sudo apt-get install php-curl

This should enable them as part of installing them, otherwise you will just need to enable them manually.

Make sure you restart Apache after installing them – sudo service apache2 reload

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read

Leave a Comment